package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkRoundPlan;
import com.ruoyi.system.domain.task.TkRoundPlanExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkRoundPlanMapper {
    long countByExample(TkRoundPlanExample example);

    int deleteByExample(TkRoundPlanExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkRoundPlan record);

    int insertSelective(TkRoundPlan record);

    List<TkRoundPlan> selectByExampleWithBLOBs(TkRoundPlanExample example);

    List<TkRoundPlan> selectByExample(TkRoundPlanExample example);

    TkRoundPlan selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkRoundPlan record, @Param("example") TkRoundPlanExample example);

    int updateByExampleWithBLOBs(@Param("record") TkRoundPlan record, @Param("example") TkRoundPlanExample example);

    int updateByExample(@Param("record") TkRoundPlan record, @Param("example") TkRoundPlanExample example);

    int updateByPrimaryKeySelective(TkRoundPlan record);

    int updateByPrimaryKeyWithBLOBs(TkRoundPlan record);

    int updateByPrimaryKey(TkRoundPlan record);
}